Bug 1177485 - Missing package xorg-x11 from DVD installer
Missing package xorg-x11 from DVD installer
Status: REOPENED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Installation
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Imobach Gonzalez Sosa
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-08 13:06 UTC by Sofia Syrianidou
Modified: 2022-05-02 07:42 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
save_y2logs (2.63 MB, application/x-xz)
2020-10-08 13:06 UTC, Sofia Syrianidou
Details
Installation overview screenshot (125.05 KB, image/png)
2020-10-08 13:07 UTC, Sofia Syrianidou
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sofia Syrianidou 2020-10-08 13:06:45 UTC
Created attachment 842403 [details]
save_y2logs

While trying to perform installation via vnc, without activation of online repositories, package xorg-x11 is not available. 

As a result, after the remote installation, xvnc is not active.

Attached there is a screenshot of installation overview, displaying the error message and save_y2logs.

from installation logs:

YaST2/y2log:2020-10-08 08:21:18 <1> install(7008) [Pkg] Package.cc(PkgQueryProvides):132 Searching packages providing: xorg-x11
YaST2/y2log:2020-10-08 08:21:18 <3> install(7008) [Ruby] modules/Packages.rb(block in find_providers):2454 Provider not found for 'xorg-x11'

after installation xorg-x11 package is not installed if online repositories are disabled. On the contrary, if online repositories are enabled, xorg-x11 is installed.
Comment 1 Sofia Syrianidou 2020-10-08 13:07:25 UTC
Created attachment 842404 [details]
Installation overview screenshot
Comment 2 Dominique Leuenberger 2020-10-08 13:49:18 UTC
That's an issue of YaST / the installer.

xorg-x11 is an empty package. It's pure presence means nothing - except YaST wrongly checking for it.
Comment 3 Imobach Gonzalez Sosa 2020-10-08 21:24:18 UTC
Hi all,

This PR should fix the issue: https://github.com/yast/yast-packager/pull/537.
Comment 4 Imobach Gonzalez Sosa 2020-10-15 15:48:40 UTC
Finally, fixed in https://github.com/yast/yast-packager/pull/538.

Thanks!
Comment 6 openQA Review 2022-05-02 00:23:47 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: remote_vnc_target_nfs
https://openqa.suse.de/tests/8667812

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`

Expect the next reminder at the earliest in 28 days if nothing changes in this ticket.
Comment 7 Joaquín Rivera 2022-05-02 07:09:43 UTC
In latest build of SLE-15-SP4, the service is inactive again:
https://openqa.suse.de/tests/8667812#step/validate_vnc_from_target/8
and the softfailed is triggered again:
```
my $xvnc_inactive = systemctl "is-active xvnc.socket", ignore_failure => 1;
    if ($xvnc_inactive) {
        record_soft_failure "bsc#1177485";
    }
```
Any recent changes that could cause this?
Comment 8 Joaquín Rivera 2022-05-02 07:42:57 UTC
I stopped the VM to get logs, but apparently we don't wait enough to see it active in the automation, because manually is active.